import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { S as StyledHost } from './styled-host.js';
import { S as Skeleton } from './skeleton.js';

const JustifiSkeleton$1 = /*@__PURE__*/ proxyCustomElement(class JustifiSkeleton extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        this.__attachShadow();
    }
    render() {
        return (h(StyledHost, { key: '3494cfb61fe0284861e3e43edf608cca947c407f' }, h(Skeleton, { key: 'ee25cf4475e11ff816bf3a21f681b96b3db1995a', component: this.component, height: this.height, width: this.width, className: this.class, styles: this.customStyle })));
    }
}, [257, "justifi-skeleton", {
        "component": [1],
        "height": [8],
        "width": [8],
        "class": [1],
        "customStyle": [16]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["justifi-skeleton"];
    components.forEach(tagName => { switch (tagName) {
        case "justifi-skeleton":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, JustifiSkeleton$1);
            }
            break;
    } });
}
defineCustomElement$1();

const JustifiSkeleton = JustifiSkeleton$1;
const defineCustomElement = defineCustomElement$1;

export { JustifiSkeleton, defineCustomElement };
